X2Go Bug report logs - #1118
Share folder is broken for x2goclient-4.0.5.2-2016.09.20-setup.exe

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: Michael <ayuanx@gmail.com>

Date: Tue, 29 Nov 2016 05:00:02 UTC

Severity: normal

Tags: build-win32, pending

Merged with 1105, 1110, 1114, 1115, 1128, 1150

Found in version 4.0.5.2

Fixed in version 4.1.0.0

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, owner@bugs.x2go.org:
Bug#1118; Package x2goclient-4.0.5.2-2016.09.20-setup. (Tue, 29 Nov 2016 05:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael <ayuanx@gmail.com>:
New Bug report received and forwarded. Copy sent to owner@bugs.x2go.org. (Tue, 29 Nov 2016 05:00:02 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Michael <ayuanx@gmail.com>
To: submit@bugs.x2go.org
Subject: Share folder is broken for x2goclient-4.0.5.2-2016.09.20-setup.exe
Date: Tue, 29 Nov 2016 15:55:10 +1100
[Message part 1 (text/plain, inline)]
Package: x2goclient-4.0.5.2-2016.09.20-setup
Version: x2goclient-4.0.5.2-2016.09.20-setup

Steps to reproduce:

1. Install x2goclient-4.0.5.2-2016.09.20-setup.exe

2. Make sure C:\Users\XXXXXXX\.x2go\etc does not exist, or delete it if existed.

3. Create a new session to a x2go server.

4. Enable share folder and watch the bug report window.

From the source code:

9931 void ONMainWindow::startWinServers()
9932 {
9952         generateHostKey(RSA_KEY_TYPE);

For Windows, we only generate RSA_KEY, but in

8013 QString ONMainWindow::createRSAKey()
8014 {
8043 #ifdef Q_OS_WIN
8044     rsa.setFileName (
8045         wapiShortFileName (
8046             homeDir+"\\.x2go\\etc\\ssh_host_dsa_key.pub" ) );
8056     if ( !rsa.open ( QIODevice::ReadOnly | QIODevice::Text ) )
8057     {


We check DSA_KEY instead, which of course would not exist.

To fix this bug:

8046   -          homeDir+"\\.x2go\\etc\\ssh_host_dsa_key.pub" ) );
8046   +         homeDir+"\\.x2go\\etc\\ssh_host_rsa_key.pub" ) );
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, owner@bugs.x2go.org:
Bug#1118; Package x2goclient-4.0.5.2-2016.09.20-setup. (Tue, 29 Nov 2016 17:50:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to owner@bugs.x2go.org. (Tue, 29 Nov 2016 17:50:01 GMT) Full text and rfc822 format available.

Message #10 received at 1118@bugs.x2go.org (full text, mbox):

From: Mihai Moldovan <ionic@ionic.de>
To: Michael <ayuanx@gmail.com>, 1118@bugs.x2go.org
Subject: Re: [X2Go-Dev] Share folder is broken for x2goclient-4.0.5.2-2016.09.20-setup.exe
Date: Tue, 29 Nov 2016 18:47:41 +0100
[Message part 1 (text/plain, inline)]
Control: reassign -1 x2goclient 4.0.5.2
Control: tag -1 win32

On 29.11.2016 05:55 AM, Michael wrote:
> Package: x2goclient-4.0.5.2-2016.09.20-setup
> Version: x2goclient-4.0.5.2-2016.09.20-setup
> 
> Steps to reproduce:
> 
> 1. Install x2goclient-4.0.5.2-2016.09.20-setup.exe
> 
> 2. Make sure C:\Users\XXXXXXX\.x2go\etc does not exist, or delete it if existed.
> 
> 3. Create a new session to a x2go server.
> 
> 4. Enable share folder and watch the bug report window.
> 
> From the source code:
> 
> 9931 void ONMainWindow::startWinServers()
> 9932 {
> 9952         generateHostKey(RSA_KEY_TYPE);
> 
> For Windows, we only generate RSA_KEY, but in
> 
> 8013 QString ONMainWindow::createRSAKey()
> 8014 {
> 8043 #ifdef Q_OS_WIN
> 8044     rsa.setFileName (
> 8045         wapiShortFileName (
> 8046             homeDir+"\\.x2go\\etc\\ssh_host_dsa_key.pub" ) );
> 8056     if ( !rsa.open ( QIODevice::ReadOnly | QIODevice::Text ) )
> 8057     {
> 
> 
> We check DSA_KEY instead, which of course would not exist.
> 
> To fix this bug:
> 
> 8046   -          homeDir+"\\.x2go\\etc\\ssh_host_dsa_key.pub" ) );
> 8046   +         homeDir+"\\.x2go\\etc\\ssh_host_rsa_key.pub" ) );


I'm aware of that bug, but probably won't fix it directly. That thing shouldn't
come up with the new code in my bugfix/osx branch, since I've rewritten almost
all of the host key, client key (as used for the local [*not* remote] ssh
daemon) and ssh daemon handling. Changing portions there on the current master
branch would only lead to biggish conflicts while rebasing - that's not really
worth the effort. I'm rather concentrating on getting the other functionality
done and release-worthy instead, which will automatically fix this bug.



Mihai

[signature.asc (application/pgp-signature, attachment)]

Bug reassigned from package 'x2goclient-4.0.5.2-2016.09.20-setup' to 'x2goclient'. Request was from Mihai Moldovan <ionic@ionic.de> to 1118-submit@bugs.x2go.org. (Tue, 29 Nov 2016 17:50:02 GMT) Full text and rfc822 format available.

No longer marked as found in versions x2goclient-4.0.5.2-2016.09.20-setup. Request was from Mihai Moldovan <ionic@ionic.de> to 1118-submit@bugs.x2go.org. (Tue, 29 Nov 2016 17:50:02 GMT) Full text and rfc822 format available.

Marked as found in versions 4.0.5.2. Request was from Mihai Moldovan <ionic@ionic.de> to 1118-submit@bugs.x2go.org. (Tue, 29 Nov 2016 17:50:02 GMT) Full text and rfc822 format available.

Added tag(s) build-win32. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Tue, 29 Nov 2016 18:00:02 GMT) Full text and rfc822 format available.

Merged 1105 1118 Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Fri, 09 Dec 2016 19:20:01 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Fri, 09 Dec 2016 19:25:04 GMT) Full text and rfc822 format available.

Marked as fixed in versions 4.0.5.3. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Fri, 09 Dec 2016 19:25:04 GMT) Full text and rfc822 format available.

Merged 1105 1110 1114 1115 1118 1128 Request was from Mihai Moldovan <ionic@ionic.de> to 1128-submit@bugs.x2go.org. (Sat, 24 Dec 2016 15:00:03 GMT) Full text and rfc822 format available.

Marked Bug as done Request was from X2Go Release Manager <git-admin@x2go.org> to control@bugs.x2go.org. (Wed, 22 Feb 2017 04:15:11 GMT) Full text and rfc822 format available.

Notification sent to Michael <ayuanx@gmail.com>:
Bug acknowledged by developer. (Wed, 22 Feb 2017 04:15:11 GMT) Full text and rfc822 format available.

Bug reopened Request was from Mihai Moldovan <ionic@ionic.de> to 1150-submit@bugs.x2go.org. (Sun, 26 Feb 2017 04:55:02 GMT) Full text and rfc822 format available.

No longer marked as fixed in versions 4.0.5.3. Request was from Mihai Moldovan <ionic@ionic.de> to 1150-submit@bugs.x2go.org. (Sun, 26 Feb 2017 04:55:02 GMT) Full text and rfc822 format available.

Marked as fixed in versions 4.0.5.3. Request was from Mihai Moldovan <ionic@ionic.de> to 1150-submit@bugs.x2go.org. (Sun, 26 Feb 2017 04:55:02 GMT) Full text and rfc822 format available.

Merged 1105 1110 1114 1115 1118 1128 1150 Request was from Mihai Moldovan <ionic@ionic.de> to 1150-submit@bugs.x2go.org. (Sun, 26 Feb 2017 04:55:02 GMT) Full text and rfc822 format available.

Marked as fixed in versions 4.1.0.0. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Sun, 26 Feb 2017 05:05:02 GMT) Full text and rfc822 format available.

Marked as fixed in versions -4.0.5.3. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Sun, 26 Feb 2017 05:15:01 GMT) Full text and rfc822 format available.

No longer marked as fixed in versions -4.0.5.3 and 4.0.5.3. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Tue, 07 Mar 2017 10:35:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Mon Dec 17 02:36:22 2018; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.